# Class VulkanMissingRequiredMemoryTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.jcoronado.api.VulkanException
com.io7m.jcoronado.api.VulkanMissingRequiredMemoryTypeException

All Implemented Interfaces:
  `Serializable`

public final class VulkanMissingRequiredMemoryTypeException extends VulkanException
An exception raised by no memory type being available to provide for a specific allocation.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanMissingRequiredMemoryTypeException(String message, VulkanMemoryRequirements in_requirements, Set<VulkanMemoryPropertyFlag> in_flags, Collection<VulkanMemoryHeap> in_heaps, Collection<VulkanMemoryType> in_types)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<VulkanMemoryPropertyFlag>`
  `flags()`
  `Collection<VulkanMemoryHeap>`
  `heaps()`
  `VulkanMemoryRequirements`
  `requirements()`
  `Collection<VulkanMemoryType>`
  `types()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanMissingRequiredMemoryTypeException

    public VulkanMissingRequiredMemoryTypeException(String message, VulkanMemoryRequirements in_requirements, Set<VulkanMemoryPropertyFlag> in_flags, Collection<VulkanMemoryHeap> in_heaps, Collection<VulkanMemoryType> in_types)
    Construct an exception.
    Parameters:
      `message` - The error message
      `in_requirements` - The memory requirements
      `in_flags` - The memory properties
      `in_heaps` - The available heaps
      `in_types` - The available types

- ## Method Details

  - ### requirements

    public VulkanMemoryRequirements requirements()
    Returns:
      The memory requirements

  - ### flags

    public Set<VulkanMemoryPropertyFlag> flags()
    Returns:
      The memory properties

  - ### heaps

    public Collection<VulkanMemoryHeap> heaps()
    Returns:
      The available heaps

  - ### types

    public Collection<VulkanMemoryType> types()
    Returns:
      The available types